Subject: bug#20792: display-warning early in startup sequence can be hidden

From: Glenn Morris <[email-masked]>
Date: Thu, 11 Jun 2015 21:03:05 -0400

Package: emacs
Version: 25.0.50

If display-warning gets called early in the startup sequence (before
command-line?), the resulting *Warnings* buffer isn't displayed when
startup ends. Eg fontset error in bug#20789, default-directory error in
bug#18851.

If there were errors in the init-file, command-line doesn't just call
display-warning, instead it adds it to after-init-hook, so as to
"Postpone displaying the warning until [...] changes in the
windowconfiguration."

Perhaps display-warning should automatically do the equivalent of that
when called during startup?

Or perhaps if there is a *Warnings* buffer at the end of startup, it
should be shown unconditionally?